<form class='password' [formGroup]='changePasswordForm' (ngSubmit)='onSubmit()'>

  <mat-form-field>
    <mat-label>Old password</mat-label>
    <input
      matInput type='password'
      placeholder='Enter old password'
      name='old-password'
      required
      formControlName='oldPassword'>
  </mat-form-field>

  <mat-form-field>
    <mat-label>New password</mat-label>
    <input
      matInput
      type='password'
      placeholder='Enter new password'
      name='new password'
      required
      formControlName='newPassword'>
  </mat-form-field>

  <mat-form-field>
    <mat-label>Confirm your new password</mat-label>
    <input
      matInput
      type='password'
      placeholder='Confirm new password'
      name='confirm-password'
      required
      formControlName='confirmPassword'>
  </mat-form-field>

  <button type='submit' mat-raised-button color='primary' [disabled]='!changePasswordForm.valid'>Change</button>
</form>
